using Newtonsoft.Json;

namespace FitConnect.Services.Models.v1.Submission;

public class SubmissionDto {
    [JsonProperty("attachments")]
    public List<Guid>? AttachmentIds { get; set; }


    [JsonProperty("callback")]
    public CallbackDto? Callback { get; set; }


    [JsonProperty("caseId")]
    public Guid CaseId { get; set; } = Guid.Empty;

    [JsonProperty("destinationId")]
    public Guid? DestinationId { get; set; } = null!;


    [JsonProperty("encryptedData")]
    public string? EncryptedData { get; set; }


    [JsonProperty("encryptedMetadata")]
    public string? EncryptedMetadata { get; set; }


    [JsonProperty("serviceType")]
    public ServiceTypeDto? ServiceType { get; set; }


    [JsonProperty("submissionId")]
    public Guid SubmissionId { get; set; } = Guid.Empty;
}
